%%%---------------------------------------
%%% module      : data_chat_simulation
%%% description : 聊天机器人配置
%%%
%%%---------------------------------------
-module(data_chat_simulation).
-compile(export_all).
-include("chat.hrl").



get_chat_content(1,1) ->
    #base_chat_simulation_content{classify = 1,order = 1,id = 1,content = <<"加好友互送名望有人吗？<#f_12>"/utf8>>,space_time = 5,desc = <<"好友"/utf8>>,condition = []};

get_chat_content(1,3) ->
    #base_chat_simulation_content{classify = 1,order = 3,id = 1,content = <<"加了，记得每天给我送"/utf8>>,space_time = 5,desc = <<"好友"/utf8>>,condition = []};

get_chat_content(1,2) ->
    #base_chat_simulation_content{classify = 1,order = 2,id = 2,content = <<"加我"/utf8>>,space_time = 10,desc = <<"好友"/utf8>>,condition = []};

get_chat_content(1,4) ->
    #base_chat_simulation_content{classify = 1,order = 4,id = 2,content = <<"好"/utf8>>,space_time = 0,desc = <<"好友"/utf8>>,condition = []};

get_chat_content(2,1) ->
    #base_chat_simulation_content{classify = 2,order = 1,id = 3,content = <<"为什么boss打不过了啊？<#f_12>"/utf8>>,space_time = 5,desc = <<"饰品守护"/utf8>>,condition = []};

get_chat_content(2,2) ->
    #base_chat_simulation_content{classify = 2,order = 2,id = 3,content = <<"撑不住"/utf8>>,space_time = 5,desc = <<"饰品守护"/utf8>>,condition = []};

get_chat_content(2,4) ->
    #base_chat_simulation_content{classify = 2,order = 4,id = 3,content = <<"那我买个试试"/utf8>>,space_time = 0,desc = <<"饰品守护"/utf8>>,condition = []};

get_chat_content(2,5) ->
    #base_chat_simulation_content{classify = 2,order = 5,id = 3,content = <<"没有…怎么搞饰品和守护？"/utf8>>,space_time = 5,desc = <<"饰品守护"/utf8>>,condition = []};

get_chat_content(2,3) ->
    #base_chat_simulation_content{classify = 2,order = 3,id = 8,content = <<"饰品和守护都装备了？"/utf8>>,space_time = 5,desc = <<"饰品守护"/utf8>>,condition = []};

get_chat_content(2,6) ->
    #base_chat_simulation_content{classify = 2,order = 6,id = 8,content = <<"直接商城买就好啦"/utf8>>,space_time = 5,desc = <<"饰品守护"/utf8>>,condition = []};

get_chat_content(3,2) ->
    #base_chat_simulation_content{classify = 3,order = 2,id = 10,content = <<"等我打完赏金"/utf8>>,space_time = 5,desc = <<"刻印"/utf8>>,condition = []};

get_chat_content(3,5) ->
    #base_chat_simulation_content{classify = 3,order = 5,id = 10,content = <<"好"/utf8>>,space_time = 5,desc = <<"刻印"/utf8>>,condition = []};

get_chat_content(3,6) ->
    #base_chat_simulation_content{classify = 3,order = 6,id = 10,content = <<"大佬加个好友？"/utf8>>,space_time = 0,desc = <<"刻印"/utf8>>,condition = []};

get_chat_content(3,3) ->
    #base_chat_simulation_content{classify = 3,order = 3,id = 11,content = <<"我有"/utf8>>,space_time = 5,desc = <<"刻印"/utf8>>,condition = []};

get_chat_content(3,1) ->
    #base_chat_simulation_content{classify = 3,order = 1,id = 14,content = <<"有人出多的装备吗？<#f_12>"/utf8>>,space_time = 10,desc = <<"刻印"/utf8>>,condition = []};

get_chat_content(3,4) ->
    #base_chat_simulation_content{classify = 3,order = 4,id = 14,content = <<"大家有多的都放拍卖啊"/utf8>>,space_time = 5,desc = <<"刻印"/utf8>>,condition = []};

get_chat_content(5,1) ->
    #base_chat_simulation_content{classify = 5,order = 1,id = 5,content = <<"各位，前期买哪个性价比高啊？"/utf8>>,space_time = 10,desc = <<"首充返利"/utf8>>,condition = []};

get_chat_content(5,4) ->
    #base_chat_simulation_content{classify = 5,order = 4,id = 5,content = <<"哦哦"/utf8>>,space_time = 5,desc = <<"首充返利"/utf8>>,condition = []};

get_chat_content(5,2) ->
    #base_chat_simulation_content{classify = 5,order = 2,id = 15,content = <<"首冲啊"/utf8>>,space_time = 5,desc = <<"首充返利"/utf8>>,condition = []};

get_chat_content(5,3) ->
    #base_chat_simulation_content{classify = 5,order = 3,id = 16,content = <<"首冲最基本的了"/utf8>>,space_time = 5,desc = <<"首充返利"/utf8>>,condition = []};

get_chat_content(5,5) ->
    #base_chat_simulation_content{classify = 5,order = 5,id = 16,content = <<"新人妹子？"/utf8>>,space_time = 5,desc = <<"首充返利"/utf8>>,condition = []};

get_chat_content(6,1) ->
    #base_chat_simulation_content{classify = 6,order = 1,id = 12,content = <<"赏金boss有人组吗？"/utf8>>,space_time = 5,desc = <<"boss组队"/utf8>>,condition = []};

get_chat_content(6,2) ->
    #base_chat_simulation_content{classify = 6,order = 2,id = 12,content = <<"有吗？"/utf8>>,space_time = 5,desc = <<"boss组队"/utf8>>,condition = []};

get_chat_content(6,4) ->
    #base_chat_simulation_content{classify = 6,order = 4,id = 12,content = <<"还有吗？组队收益高啊，来直接进"/utf8>>,space_time = 0,desc = <<"boss组队"/utf8>>,condition = []};

get_chat_content(6,3) ->
    #base_chat_simulation_content{classify = 6,order = 3,id = 13,content = <<"等一下，刷完副本来"/utf8>>,space_time = 5,desc = <<"boss组队"/utf8>>,condition = []};

get_chat_content(7,1) ->
    #base_chat_simulation_content{classify = 7,order = 1,id = 6,content = <<"大家多发发协助"/utf8>>,space_time = 5,desc = <<""/utf8>>,condition = []};

get_chat_content(7,4) ->
    #base_chat_simulation_content{classify = 7,order = 4,id = 6,content = <<"缺名望靠协助赚了"/utf8>>,space_time = 0,desc = <<""/utf8>>,condition = []};

get_chat_content(7,2) ->
    #base_chat_simulation_content{classify = 7,order = 2,id = 9,content = <<"去打竞技也可以"/utf8>>,space_time = 5,desc = <<""/utf8>>,condition = []};

get_chat_content(7,3) ->
    #base_chat_simulation_content{classify = 7,order = 3,id = 9,content = <<"<#f_0>"/utf8>>,space_time = 5,desc = <<""/utf8>>,condition = []};

get_chat_content(8,1) ->
    #base_chat_simulation_content{classify = 8,order = 1,id = 7,content = <<"赏金boss求带"/utf8>>,space_time = 5,desc = <<"boss组队"/utf8>>,condition = []};

get_chat_content(8,4) ->
    #base_chat_simulation_content{classify = 8,order = 4,id = 7,content = <<"嗯嗯"/utf8>>,space_time = 0,desc = <<"boss组队"/utf8>>,condition = []};

get_chat_content(8,2) ->
    #base_chat_simulation_content{classify = 8,order = 2,id = 20,content = <<"妹子，来"/utf8>>,space_time = 5,desc = <<"boss组队"/utf8>>,condition = []};

get_chat_content(8,3) ->
    #base_chat_simulation_content{classify = 8,order = 3,id = 20,content = <<"等我刷完日常"/utf8>>,space_time = 5,desc = <<"boss组队"/utf8>>,condition = []};

get_chat_content(9,1) ->
    #base_chat_simulation_content{classify = 9,order = 1,id = 8,content = <<"谁还有好友位的，"/utf8>>,space_time = 5,desc = <<"名望"/utf8>>,condition = []};

get_chat_content(9,2) ->
    #base_chat_simulation_content{classify = 9,order = 2,id = 8,content = <<"固定上线的"/utf8>>,space_time = 5,desc = <<"名望"/utf8>>,condition = []};

get_chat_content(9,4) ->
    #base_chat_simulation_content{classify = 9,order = 4,id = 8,content = <<"好"/utf8>>,space_time = 0,desc = <<"名望"/utf8>>,condition = []};

get_chat_content(9,3) ->
    #base_chat_simulation_content{classify = 9,order = 3,id = 13,content = <<"加你了"/utf8>>,space_time = 5,desc = <<"名望"/utf8>>,condition = []};

get_chat_content(10,3) ->
    #base_chat_simulation_content{classify = 10,order = 3,id = 11,content = <<"大佬来了"/utf8>>,space_time = 5,desc = <<"收装备"/utf8>>,condition = []};

get_chat_content(10,4) ->
    #base_chat_simulation_content{classify = 10,order = 4,id = 13,content = <<"牛币"/utf8>>,space_time = 0,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(10,1) ->
    #base_chat_simulation_content{classify = 10,order = 1,id = 19,content = <<"多余的装备记得挂拍卖啊"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(10,2) ->
    #base_chat_simulation_content{classify = 10,order = 2,id = 19,content = <<"大量收"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(11,1) ->
    #base_chat_simulation_content{classify = 11,order = 1,id = 7,content = <<"你们的战力怎么涨的啊"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(11,2) ->
    #base_chat_simulation_content{classify = 11,order = 2,id = 7,content = <<"搞装备吗？打不到"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(11,5) ->
    #base_chat_simulation_content{classify = 11,order = 5,id = 7,content = <<"你是大佬"/utf8>>,space_time = 0,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(11,3) ->
    #base_chat_simulation_content{classify = 11,order = 3,id = 10,content = <<"打不出来去市场买啊"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(11,4) ->
    #base_chat_simulation_content{classify = 11,order = 4,id = 13,content = <<"搞一下进阶和战魂升的多"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(12,1) ->
    #base_chat_simulation_content{classify = 12,order = 1,id = 9,content = <<"找个CP"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(12,3) ->
    #base_chat_simulation_content{classify = 12,order = 3,id = 9,content = <<"我要小姐姐"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(12,5) ->
    #base_chat_simulation_content{classify = 12,order = 5,id = 9,content = <<"真假？"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(12,6) ->
    #base_chat_simulation_content{classify = 12,order = 6,id = 9,content = <<"来来来，我先加你"/utf8>>,space_time = 0,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(12,2) ->
    #base_chat_simulation_content{classify = 12,order = 2,id = 11,content = <<"我可以"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(12,4) ->
    #base_chat_simulation_content{classify = 12,order = 4,id = 11,content = <<"我就是..."/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(13,1) ->
    #base_chat_simulation_content{classify = 13,order = 1,id = 5,content = <<"怎么感觉我等级升的好慢"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(13,3) ->
    #base_chat_simulation_content{classify = 13,order = 3,id = 5,content = <<"我做完主线了啊"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(13,2) ->
    #base_chat_simulation_content{classify = 13,order = 2,id = 12,content = <<"先做完主线啊"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(13,4) ->
    #base_chat_simulation_content{classify = 13,order = 4,id = 12,content = <<"等级礼包该领的领一下啊，不然就加个首冲"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(13,5) ->
    #base_chat_simulation_content{classify = 13,order = 5,id = 12,content = <<"拿完战力就上去了"/utf8>>,space_time = 0,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(14,3) ->
    #base_chat_simulation_content{classify = 14,order = 3,id = 7,content = <<"抢不到赏金"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(14,4) ->
    #base_chat_simulation_content{classify = 14,order = 4,id = 14,content = <<"妹子？你来我帮你打"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(14,1) ->
    #base_chat_simulation_content{classify = 14,order = 1,id = 17,content = <<"怎么市场的没装备了，我进化不够了"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(14,2) ->
    #base_chat_simulation_content{classify = 14,order = 2,id = 17,content = <<"大家有次数的去打啊，打完上拍卖"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(14,5) ->
    #base_chat_simulation_content{classify = 14,order = 5,id = 17,content = <<"有你啥事"/utf8>>,space_time = 0,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(15,1) ->
    #base_chat_simulation_content{classify = 15,order = 1,id = 9,content = <<"求个活人多的公会"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(15,2) ->
    #base_chat_simulation_content{classify = 15,order = 2,id = 10,content = <<"一起啊"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(15,3) ->
    #base_chat_simulation_content{classify = 15,order = 3,id = 10,content = <<"还有人么，要常活跃的"/utf8>>,space_time = 0,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(16,1) ->
    #base_chat_simulation_content{classify = 16,order = 1,id = 2,content = <<"首冲完了先搞什么"/utf8>>,space_time = 4,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(16,2) ->
    #base_chat_simulation_content{classify = 16,order = 2,id = 11,content = <<"战魂啊"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(16,3) ->
    #base_chat_simulation_content{classify = 16,order = 3,id = 11,content = <<"脸好一波直接提上去了"/utf8>>,space_time = 0,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(17,2) ->
    #base_chat_simulation_content{classify = 17,order = 2,id = 13,content = <<"幻魔星域也刷完了？"/utf8>>,space_time = 5,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(17,1) ->
    #base_chat_simulation_content{classify = 17,order = 1,id = 14,content = <<"刷了一圈幻魔好爽"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(17,4) ->
    #base_chat_simulation_content{classify = 17,order = 4,id = 14,content = <<"哦对还有星域精英没刷"/utf8>>,space_time = 3,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(17,3) ->
    #base_chat_simulation_content{classify = 17,order = 3,id = 17,content = <<"星域精英呢？"/utf8>>,space_time = 0,desc = <<"[]"/utf8>>,condition = []};

get_chat_content(_Classify,_Order) ->
    [].

%%好友
get_condition_by_classify(1) ->
    [];

%%饰品守护
get_condition_by_classify(2) ->
    [];

%%刻印
get_condition_by_classify(3) ->
    [];

%%首充返利
get_condition_by_classify(5) ->
    [];

%%boss组队
get_condition_by_classify(6) ->
    [];


get_condition_by_classify(7) ->
    [];

%%boss组队
get_condition_by_classify(8) ->
    [];

%%名望
get_condition_by_classify(9) ->
    [];

%%[]
get_condition_by_classify(10) ->
    [];

%%[]
get_condition_by_classify(11) ->
    [];

%%[]
get_condition_by_classify(12) ->
    [];

%%[]
get_condition_by_classify(13) ->
    [];

%%[]
get_condition_by_classify(14) ->
    [];

%%[]
get_condition_by_classify(15) ->
    [];

%%[]
get_condition_by_classify(16) ->
    [];

%%[]
get_condition_by_classify(17) ->
    [];

get_condition_by_classify(_Classify) ->
    [].

get_chat_robot(1) ->
    #base_chat_simulation_robot{id = 1,name = <<"菜花"/utf8>>,vip = 1,sex = 1,picture = 422501,lv = 145};

get_chat_robot(2) ->
    #base_chat_simulation_robot{id = 2,name = <<"Heycoke可心"/utf8>>,vip = 2,sex = 2,picture = 422502,lv = 138};

get_chat_robot(3) ->
    #base_chat_simulation_robot{id = 3,name = <<"旺仔陈氏"/utf8>>,vip = 1,sex = 2,picture = 422502,lv = 140};

get_chat_robot(4) ->
    #base_chat_simulation_robot{id = 4,name = <<"路子野强哥"/utf8>>,vip = 2,sex = 1,picture = 422501,lv = 133};

get_chat_robot(5) ->
    #base_chat_simulation_robot{id = 5,name = <<"凌凌漆"/utf8>>,vip = 1,sex = 1,picture = 422501,lv = 140};

get_chat_robot(6) ->
    #base_chat_simulation_robot{id = 6,name = <<"人畜无害东东"/utf8>>,vip = 2,sex = 1,picture = 422501,lv = 144};

get_chat_robot(7) ->
    #base_chat_simulation_robot{id = 7,name = <<"艾利斯顿臭豆腐"/utf8>>,vip = 2,sex = 2,picture = 422502,lv = 141};

get_chat_robot(8) ->
    #base_chat_simulation_robot{id = 8,name = <<"包子不喝酒"/utf8>>,vip = 3,sex = 2,picture = 422502,lv = 150};

get_chat_robot(9) ->
    #base_chat_simulation_robot{id = 9,name = <<"你友好的邻居"/utf8>>,vip = 3,sex = 1,picture = 422501,lv = 158};

get_chat_robot(10) ->
    #base_chat_simulation_robot{id = 10,name = <<"伤心猪大肠"/utf8>>,vip = 3,sex = 2,picture = 422502,lv = 140};

get_chat_robot(11) ->
    #base_chat_simulation_robot{id = 11,name = <<"为爱一搏"/utf8>>,vip = 3,sex = 2,picture = 422502,lv = 145};

get_chat_robot(12) ->
    #base_chat_simulation_robot{id = 12,name = <<"溜溜溜"/utf8>>,vip = 3,sex = 1,picture = 422501,lv = 151};

get_chat_robot(13) ->
    #base_chat_simulation_robot{id = 13,name = <<"柠檬不酸很甜"/utf8>>,vip = 3,sex = 1,picture = 422501,lv = 152};

get_chat_robot(14) ->
    #base_chat_simulation_robot{id = 14,name = <<"不给中就送"/utf8>>,vip = 3,sex = 1,picture = 422501,lv = 147};

get_chat_robot(15) ->
    #base_chat_simulation_robot{id = 15,name = <<"维他柠檬茶"/utf8>>,vip = 3,sex = 2,picture = 422502,lv = 146};

get_chat_robot(16) ->
    #base_chat_simulation_robot{id = 16,name = <<"一剑西来"/utf8>>,vip = 3,sex = 1,picture = 422501,lv = 145};

get_chat_robot(17) ->
    #base_chat_simulation_robot{id = 17,name = <<"大金爷"/utf8>>,vip = 3,sex = 1,picture = 422501,lv = 143};

get_chat_robot(18) ->
    #base_chat_simulation_robot{id = 18,name = <<"清风明月"/utf8>>,vip = 3,sex = 1,picture = 422501,lv = 142};

get_chat_robot(19) ->
    #base_chat_simulation_robot{id = 19,name = <<"塞的黑"/utf8>>,vip = 3,sex = 2,picture = 422502,lv = 144};

get_chat_robot(20) ->
    #base_chat_simulation_robot{id = 20,name = <<"你的米糕哥哥"/utf8>>,vip = 3,sex = 1,picture = 422501,lv = 150};

get_chat_robot(_Id) ->
    [].

get_trigger_content(Lv) when Lv >= 31, Lv =< 40 ->
	#base_chat_simulation_trigger{id=1,lv_min=31,lv_max=40,content=[1,2,3,4,5,7,9,10,11,12,13,14,15]};
get_trigger_content(Lv) when Lv >= 41, Lv =< 50 ->
	#base_chat_simulation_trigger{id=2,lv_min=41,lv_max=50,content=[1,2,3,4,5,7,9,10,11,12,13,14,15]};
get_trigger_content(Lv) when Lv >= 51, Lv =< 60 ->
	#base_chat_simulation_trigger{id=3,lv_min=51,lv_max=60,content=[1,2,3,4,5,7,9,10,11,12,13,14,15]};
get_trigger_content(Lv) when Lv >= 61, Lv =< 70 ->
	#base_chat_simulation_trigger{id=4,lv_min=61,lv_max=70,content=[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,17]};
get_trigger_content(Lv) when Lv >= 71, Lv =< 80 ->
	#base_chat_simulation_trigger{id=5,lv_min=71,lv_max=80,content=[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,17]};
get_trigger_content(Lv) when Lv >= 81, Lv =< 89 ->
	#base_chat_simulation_trigger{id=6,lv_min=81,lv_max=89,content=[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17]};
get_trigger_content(Lv) when Lv >= 90, Lv =< 98 ->
	#base_chat_simulation_trigger{id=7,lv_min=90,lv_max=98,content=[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17]};
get_trigger_content(_Lv) ->
    [].

get_chat_robot_name() -> ["菜花","Heycoke可心","旺仔陈氏","路子野强哥","凌凌漆","人畜无害东东","艾利斯顿臭豆腐","包子不喝酒","你友好的邻居","伤心猪大肠","为爱一搏","溜溜溜","柠檬不酸很甜","不给中就送","维他柠檬茶","一剑西来","大金爷","清风明月","塞的黑","你的米糕哥哥"].
